EZ_WarpPointer(3)

NAME
EZ_WarpPointer, EZ_WarpPointerToWidgetWindow - move the mouse pointer

SYNOPSIS
#include <EZ.h>

void EZ_WarpPointer( int x, int y)
void EZ_WarpPointerToWidgetWindow(EZ_Widget *widget, int where)

ARGUMENTS
x, y Specify the screen coordinates of a point, relative to the upper left corner of the root window.

widget specifies a widget.

where specifies an location.

DESCRIPTION

EZ_WarpPointer moves the mouse pointer to the specified position.

EZ_WarpPointerToWidgetWindow warps the mouse pointer onto or near the widget window, depending on the value of where. If where = 0, it warps the pointer to the upper left corner of the widget window; if where > 0, it moves the pointer to the lower right corner of the widget window; if where < 0, it warps the pointer outside the UL corner of the widget window.

SEE ALSO
EZ_EventMainLoop(3), EZ_ServiceEvents(3)